DrawPointTool Class Reference

`#include <ScreenPickerTool.h>`

Inheritance diagram for DrawPointTool:

## Public Member Functions

| DrawPointTool (ApplicationWindow *app, Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
virtual int | rtti () const
Public Member Functions inherited from ScreenPickerTool
virtual void | append (const QwtDoublePoint &pos)
| ScreenPickerTool (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
void | setMoveRestriction (ScreenPickerTool::MoveRestriction r)
double | xValue ()
double | yValue ()
virtual | ~ScreenPickerTool ()
Public Member Functions inherited from PlotToolInterface
| PlotToolInterface (Graph *graph, const QObject *status_target=NULL, const char *status_slot="")
virtual | ~PlotToolInterface ()

## Protected Member Functions

void | appendPoint (const QwtDoublePoint &point)
virtual bool | eventFilter (QObject *obj, QEvent *event)
Protected Member Functions inherited from ScreenPickerTool
virtual void | append (const QPoint &point)

## Protected Attributes

ApplicationWindow * | d_app
DataCurve * | d_curve
Table * | d_table
Protected Attributes inherited from ScreenPickerTool
MoveRestriction | d_move_restriction
QwtPlotMarker | d_selection_marker
Protected Attributes inherited from PlotToolInterface
Graph * | d_graph
const char * | d_status_slot
const QObject * | d_status_target

## Additional Inherited Members

Public Types inherited from ScreenPickerTool
enum | MoveRestriction { NoRestriction, Vertical, Horizontal }
Public Types inherited from PlotToolInterface
enum | RttiValues { Rtti_PlotTool = 0, Rtti_RangeSelector, Rtti_DataPicker, Rtti_TranslateCurveTool, Rtti_MultiPeakFitTool, Rtti_LineProfileTool, Rtti_AddWidgetTool, Rtti_DrawDataPoints, Rtti_ImageProfilesTool, Rtti_SubtractLineTool, Rtti_PlotUserTool = 1000 }
Signals inherited from ScreenPickerTool
void | statusText (const QString &)

## Detailed Description

Plot tool for drawing arbitrary points.

## Constructor & Destructor Documentation

## DrawPointTool()

DrawPointTool::DrawPointTool | ( | ApplicationWindow * | app,
|  | Graph * | graph,
|  | const QObject * | status_target = `NULL`,
|  | const char * | status_slot = `""`
| ) |  |

References d_curve, and d_table.

## Member Function Documentation

## appendPoint()

void DrawPointTool::appendPoint | ( | const QwtDoublePoint & | point | ) |

protected

References Table::colName(), d_app, d_curve, ApplicationWindow::d_decimal_digits, PlotToolInterface::d_graph, d_table, ApplicationWindow::defaultCurveLineWidth, ApplicationWindow::defaultSymbolSize, ApplicationWindow::generateUniqueName(), Graph::insertPlotItem(), Graph::LineSymbols, ApplicationWindow::modifiedProject(), ApplicationWindow::newHiddenTable(), Table::numRows(), Table::setCell(), DataCurve::setFullRange(), Table::setNumRows(), ScreenPickerTool::statusText(), and Graph::updatePlot().

Referenced by eventFilter().

## eventFilter()

bool DrawPointTool::eventFilter | ( | QObject * | obj,
|  | QEvent * | event
| ) |  |

protected virtual

Reimplemented from ScreenPickerTool.

References appendPoint(), PlotToolInterface::d_graph, and ScreenPickerTool::d_selection_marker.

## rtti()

virtual int DrawPointTool::rtti | ( |  | ) | const

inline virtual

Reimplemented from PlotToolInterface.

References ScreenPickerTool::eventFilter(), and PlotToolInterface::Rtti_DrawDataPoints.

## Member Data Documentation

## d_app

ApplicationWindow* DrawPointTool::d_app

protected

Referenced by appendPoint().

## d_curve

DataCurve* DrawPointTool::d_curve

protected

Referenced by appendPoint(), and DrawPointTool().

## d_table

Table* DrawPointTool::d_table

protected

Referenced by appendPoint(), and DrawPointTool().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/ScreenPickerTool.h
- qtiplot/src/plot2D/ScreenPickerTool.cpp